Page MenuHomePhabricator

Don’t check some constraint types on non-statement contexts
Closed, ResolvedPublic

Description

I think the following constraint types shouldn’t be checked on qualifiers and references:

  • symmetric (now open for discussion on T175594)
  • inverse (now open for discussion on T175594)
  • allowed qualifiers
  • mandatory qualifiers
  • type

I’ll also limit constraint checks for the following types to statements for now, because their implementation for other contexts is not trivial (see linked tasks):

Which leaves the following constraint types to be checked on qualifiers and references immediately:

  • Commons link
  • format
  • one of
  • used as qualifier (and, once implemented, used as reference)
  • range
  • target requires claim
  • value type

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2017, 1:42 PM
Lucas_Werkmeister_WMDE moved this task from incoming to in progress on the Wikidata board.

Change 377283 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Limit constraint checks on most types to statements

https://gerrit.wikimedia.org/r/377283

@Sjoerddebruin okay, it’s not as simple as I thought :D let’s discuss that in T175594, then.

The main change for this task is done, but based on the semi-related change https://gerrit.wikimedia.org/r/#/c/377267/1 (which I didn’t open a separate ticket for). Could someone perhaps review that too? :)

Change 377283 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Limit constraint checks on most types to statements

https://gerrit.wikimedia.org/r/377283

Lucas_Werkmeister_WMDE closed this task as Resolved.Sep 19 2017, 1:25 PM
Lucas_Werkmeister_WMDE moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.

Change 378932 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Finish new check result status for T175570

https://gerrit.wikimedia.org/r/378932

Lucas_Werkmeister_WMDE reopened this task as Open.Sep 19 2017, 3:23 PM
Lucas_Werkmeister_WMDE moved this task from Done to Review on the Wikidata-Former-Sprint-Board board.

Reopening because once more, I forgot some steps when adding a new result status.

Change 378932 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Finish new check result status for T175570

https://gerrit.wikimedia.org/r/378932

Lucas_Werkmeister_WMDE closed this task as Resolved.Sep 20 2017, 11:55 AM
Lucas_Werkmeister_WMDE moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.